Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PasswordState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PasswordState

Enclosing class:
  TdApi

public static final class TdApi.PasswordState extends TdApi.Object
Represents the current state of 2-step verification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`hasPassportData`
True, if some Telegram Passport elements were saved.
`boolean`
`hasPassword`
True, if a 2-step verification password is set.
`boolean`
`hasRecoveryEmailAddress`
True, if a recovery email is set.
`String`
`passwordHint`
Hint for the password; may be empty.
`int`
`pendingResetDate`
If not 0, point in time (Unix timestamp) after which the password can be reset immediately using resetPassword.
`TdApi.EmailAddressAuthenticationCodeInfo`
`recoveryEmailAddressCodeInfo`
Information about the recovery email address to which the confirmation email was sent; may be null.

## Constructor Summary

Constructors
Constructor
Description
`PasswordState()`
Represents the current state of 2-step verification.
`PasswordState(boolean hasPassword, String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo, int pendingResetDate)`
Represents the current state of 2-step verification.
`PasswordState(DataInput input)`
Represents the current state of 2-step verification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### hasPassword

public boolean hasPassword
True, if a 2-step verification password is set.

### passwordHint

public String passwordHint
Hint for the password; may be empty.

### hasRecoveryEmailAddress

public boolean hasRecoveryEmailAddress
True, if a recovery email is set.

### hasPassportData

public boolean hasPassportData
True, if some Telegram Passport elements were saved.

### recoveryEmailAddressCodeInfo

public TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo
Information about the recovery email address to which the confirmation email was sent; may be null.

### pendingResetDate

public int pendingResetDate
If not 0, point in time (Unix timestamp) after which the password can be reset immediately using resetPassword.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PasswordState

public PasswordState()
Represents the current state of 2-step verification.

### PasswordState

public PasswordState(boolean hasPassword, String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo, int pendingResetDate)
Represents the current state of 2-step verification.

Parameters:
  `hasPassword` - boolean True, if a 2-step verification password is set.
  `passwordHint` - String Hint for the password; may be empty.
  `hasRecoveryEmailAddress` - boolean True, if a recovery email is set.
  `hasPassportData` - boolean True, if some Telegram Passport elements were saved.
  `recoveryEmailAddressCodeInfo` - EmailAddressAuthenticationCodeInfo Information about the recovery email address to which the confirmation email was sent; may be null.
  `pendingResetDate` - int If not 0, point in time (Unix timestamp) after which the password can be reset immediately using resetPassword.

### PasswordState

public PasswordState(DataInput input) throws IOException
Represents the current state of 2-step verification.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`